package mq

const (
	TaskAdd = iota + 1
	ModelIssue
	TaskExecute
	TaskResponse
	ModelIssueRepeater
	ModelIssueResponse
	TaskExecuteLog
	TaskLog
)

type InstructionReq struct {
	Command int         `json:"command"`
	Payload interface{} `json:"payload"`
}

type FileCapture struct {
	FileId      int64  `json:"fileId"`
	FileName    string `json:"fileName"`
	File        string `json:"file"`
	DatasetName string `json:"datasetName"`
	CaptureTime int64  `json:"captureTime"`
}

type TaskLogPayload struct {
	TaskId    int64  `json:"taskId"`
	TaskCode  string `json:"taskCode"`
	NodeId    int64  `json:"nodeId"`
	NodeGuid  string `json:"nodeGuid"`
	Payload   string `json:"taskContent"`
	EventTime int64  `json:"eventTime"`
}

type TaskLogProgress struct {
	TaskId          int64 `json:"taskId"`
	TotalCount      int64 `json:"totalCount"`
	CompletedCount  int64 `json:"completedCount"`
	FailingCount    int64 `json:"failingCount"`
	UnfinishedCount int64 `json:"unfinishedCount"`
}
